Module jdk.compiler
Package com.sun.source.tree

# Interface MemberSelectTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

public interface MemberSelectTree extends ExpressionTree
A tree node for a member access expression. For example:

       expression . identifier

See Java Language Specification:
  6.5 Determining the Meaning of a Name
  15.11 Field Access Expressions
  15.12 Method Invocation Expressions
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression for which a member is to be selected.
`Name`
`getIdentifier()`
Returns the name of the member to be selected.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression for which a member is to be selected.

Returns:
  the expression

### getIdentifier

Name getIdentifier()
Returns the name of the member to be selected.

Returns:
  the member